Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 03-21-08, 12:12 PM   #1
azzamite
Black beast of AAAaaahhh!
 
Join Date: Nov 2007
Location: México
Posts: 13
Angry incompatible /usr/lib/libGL.so

Whenever I try to compile a program that links against
libGL.so I get an error of incompatible format or wrong
format and the compilation fails.

I'm almos shure the problem is due to the driver since
ligGL is overwritted by it.

is there a way to fix that?
First I couldn't compile xmms and now blender.

Code:
Compiling ==> 'buildinfo.c'
Linking program ==> 'blender'
/usr/local/bin/ld: skipping incompatible /usr/lib/libGL.so when searching for -lGL
/usr/local/bin/ld: skipping incompatible /usr/lib/libGL.so when searching for -lGL
/usr/local/bin/ld: skipping incompatible /usr/lib/libGL.so when searching for -lGL
/tmp/build/linux2/lib/libbf_soundsystem.a(SND_OpenALDevice.o): In function `SND_OpenALDevice::LoadSample(STR_String const&, void*, int)':
SND_OpenALDevice.cpp:(.text+0xcba): undefined reference to `alutLoadWAVMemory'
SND_OpenALDevice.cpp:(.text+0xd35): undefined reference to `alutUnloadWAV'
SND_OpenALDevice.cpp:(.text+0xd5d): undefined reference to `alutLoadWAVFile'
collect2: ld devolvió el estado de salida 1
scons: *** [/tmp/build/linux2/bin/blender] Error 1
scons: building terminated because of errors.
My driver is 100.14.19, my system Centos 5 x86_64
__________________
In un placete de La Mancha of which nombre no quiero remembrearme, vivía, not so long ago, uno de esos gentlemen who always tienen una lanza in the rack, una buckler antigua, a skinny caballo y un grayhound para el chase.
azzamite is offline   Reply With Quote
Old 03-21-08, 02:26 PM   #2
pffft!
Registered User
 
Join Date: Apr 2006
Posts: 26
Default Re: incompatible /usr/lib/libGL.so

Read it again: it's only a warning as far as OpenGL is concerned. The real error is a missing library which you should simply install.
pffft! is offline   Reply With Quote
Old 03-21-08, 04:18 PM   #3
Ralph
Registered User
 
Join Date: Jul 2007
Posts: 74
Default Re: incompatible /usr/lib/libGL.so

Do you have installed OpenAL?
Ralph is offline   Reply With Quote
Old 03-21-08, 05:01 PM   #4
azzamite
Black beast of AAAaaahhh!
 
Join Date: Nov 2007
Location: México
Posts: 13
Default Re: incompatible /usr/lib/libGL.so

yes, I have OpenAl installed

rpm -qa | grep -i openal
openal-0.0.9-0.13.20060204cvs.el5
openal-devel-0.0.9-0.13.20060204cvs.el5

and freealut to

rpm -qa | grep -i alut
freealut-1.1.0-5.el5
freealut-devel-1.1.0-5.el5
__________________
In un placete de La Mancha of which nombre no quiero remembrearme, vivía, not so long ago, uno de esos gentlemen who always tienen una lanza in the rack, una buckler antigua, a skinny caballo y un grayhound para el chase.
azzamite is offline   Reply With Quote
Old 03-21-08, 06:07 PM   #5
Ralph
Registered User
 
Join Date: Jul 2007
Posts: 74
Default Re: incompatible /usr/lib/libGL.so

From the Blender Manual:

Linker Problems

If you get an error message with lines such as

SND_OpenALDevice.cpp: (.text+0xf05): undefined reference to `alutLoadWAVFile'

you can fix it by adding line

BF_OPENAL_LIB = 'openal alut'

to user-config.py which is created to the same directory in which you execute scons as above (branch/blender/).
Ralph is offline   Reply With Quote
Old 03-21-08, 06:34 PM   #6
azzamite
Black beast of AAAaaahhh!
 
Join Date: Nov 2007
Location: México
Posts: 13
Default Re: incompatible /usr/lib/libGL.so

tanks, that did the trick
__________________
In un placete de La Mancha of which nombre no quiero remembrearme, vivía, not so long ago, uno de esos gentlemen who always tienen una lanza in the rack, una buckler antigua, a skinny caballo y un grayhound para el chase.
azzamite is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
3D is five incompatible growing markets on 13 different platforms News Archived News Items 0 06-11-12 02:50 PM

All times are GMT -5. The time now is 11:15 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright ©1998 - 2014, nV News.